case $1 in
    vilje)
        module load intelcomp mpt
        export CC=mpicc
        export CFLAGS="-std=c99 -Wall -Wextra -pedantic -g -O3 -qopenmp"
        export LDLIBS="-lm -liomp5"
        ;;
    idun)
        module load intel
        export CC=mpiicc
        export CFLAGS="-std=c99 -Wall -Wextra -pedantic -g -O3 -qopenmp"
        export LDLIBS="-lm -liomp5"
        ;;
    skumdrev)
        export CC=mpicc
        export CFLAGS="-std=c99 -Wall -Wextra -pedantic -g -O3 -fopenmp"
        export LDLIBS="-lm -lgomp"
        ;;
    local)
        export CC=mpicc
        export CFLAGS="-std=c99 -Wall -Wextra -pedantic -g -O3 -fopenmp"
        export LDLIBS="-lm -lgomp"
        ;;
    *)
        echo "Unknown system '$1'"
        ;;
esac
