#ifndef TYPEDEFS_H
#define TYPEDEFS_H


#include <stdint.h>


/* Parametric data types */
typedef int64_t int_t;
typedef double real_t;

typedef struct dist_array_t dist_array_t;
typedef struct grid_t grid_t;
typedef struct rectangle_t rectangle_t;


typedef struct length_t {
    int_t
        y,
        x;
} length_t;


typedef struct point_t {
    int_t
        y,
        x;
} point_t;


#endif
