#! /usr/bin/env perl
defined $ARGV[0] or die "I need a filename";

open( PLOT, "|gnuplot");
print PLOT <<EOHEAD;
set term png size 1600,1600
set zrange [0.9:1.15]
set view 60,45,1
unset xtics
unset ytics
unset ztics
unset border
set xlabel "x"
set ylabel "y"
set view 45,45,1
EOHEAD

$in = $ARGV[0];
$in =~ s/^data\///;
$out = $in;
$out =~ s/txt/png/;

print PLOT <<EOSCRIPT;
set output "images/$out"
splot "data/$in" with dots
EOSCRIPT

close ( PLOT );
